# Overview

This section discusses the included examples of the FMI.jl library.
If you require further information about the function calls, see the function sections of the [library](https://thummeto.github.io/FMI.jl/dev/library/).
Examples are subdevided into *Basics*, *Advanced* and *Publication appendices*


**Basic examples:**

- [__Simulate__](https://thummeto.github.io/FMI.jl/dev/examples/simulate/): Showing how you can simulate a CS-FMU and a ME-FMU.
- [__Parameterize__](https://thummeto.github.io/FMI.jl/dev/examples/parameterize/): A short example explaining how to parameterize a FMU before simulation.
- [__Inputs__](https://thummeto.github.io/FMI.jl/dev/examples/inputs/): A short example explaining how to simulate a FMU with inputs.


**Advanced examples:**

- [__Parameter Optimization__](https://thummeto.github.io/FMI.jl/dev/examples/parameter_optimization/): An introduction on how FMU parameters can be optimized to fit a specific behaviour.
- [__Multiple instances__](https://thummeto.github.io/FMI.jl/dev/examples/multiple_instances/): Showing the use of multiple FMU instances.
- [__Manipulation__](https://thummeto.github.io/FMI.jl/dev/examples/manipulation/): Showing how to redefine a linked C-library function of FMU.
- [__Multithreading__](https://thummeto.github.io/FMI.jl/dev/examples/multithreading/): Shows how to use multithreading to simulate multiple FMUs.
- [__Multiprocessing__](https://thummeto.github.io/FMI.jl/dev/examples/multiprocessing/): Shows how to use multiprocessing to simulate multiple FMUs.


**Publication appendices:**

- [__Modelica conference 2021__](https://thummeto.github.io/FMI.jl/dev/examples/modelica_conference_2021/): Showing the different variants of simulating an FMU.